Security Enhanced Linux Reference Policy

# Layer: services

## Module: apm

Interfaces

### Description:

Advanced power management daemon

### Interfaces:

apm_append_log( domain )

##### Summary

Append to apm's log file.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

apm_domtrans_client( domain )

##### Summary

Execute APM in the apm domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

apm_rw_stream_sockets( domain )

##### Summary

Read and write to an apm unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

apm_stream_connect( domain )

##### Summary

Connect to apmd over an unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

apm_use_fds( domain )

##### Summary

Use file descriptors for apmd.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

apm_write_pipes( domain )

##### Summary

Write to apmd unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

Return